define({"293":{y:0,u:"../Content/P4API/strref.constructor_4.html",l:-1,t:"StrRef::StrRef( const char * , int ) (constructor)",i:0.000835808265818837,a:"Construct a StrRef, referencing an existing string. Notes If arguments are provided, the constructor calls  Set()  with them. StrRef::Set()  does not copy\n      the target string; it simply creates a pointer to it. Be sure that the\n      StrRef pointing to the target string does not outlive the\n     ..."},"294":{y:0,u:"../Content/P4API/strref.null.html",l:-1,t:"StrRef::Null()",i:0.00296250730860482,a:"Return a null StrPtr. Notes StrRef::Null()  is a static\n      function. Example \n#include \u003ciostream\u003e\n\n#include \u003cstdhdrs.h\u003e\n#include \u003cstrbuf.h\u003e\n\nint main( int argc, char **argv )\n{\n    StrBuf str1;\n\n    str1.Set( \"abc\" );\n    StrRef sr = StrRef( str1 );\n\n    if ( sr == StrRef::Null() )\n        cout ..."},"295":{y:0,u:"../Content/P4API/strref.operator.html",l:-1,t:"StrRef::operator =( StrPtr \u0026 )",i:0.000835808265818837,a:"Set a StrPtr to reference an existing StrPtr\n      or null-terminated string. Notes The = operator is equivalent to calling  Set() . Example \n#include \u003ciostream\u003e\n\n#include \u003cstdhdrs.h\u003e\n#include \u003cstrbuf.h\u003e\n\nint main( int argc, char **argv )\n{\n    StrBuf str1;\n\n    str1.Set( \"xyz\" );\n    StrRef sr = ..."},"296":{y:0,u:"../Content/P4API/strref.operator_2.html",l:-1,t:"StrRef::operator =( char * )",i:0.000835808265818837,a:"Set a StrPtr to reference an existing StrPtr\n      or null-terminated string. Notes The = operator is equivalent to calling  Set() . Example \n#include \u003ciostream\u003e\n\n#include \u003cstdhdrs.h\u003e\n#include \u003cstrbuf.h\u003e\n\nint main( int argc, char **argv )\n{\n    char chars[] = \"xyz\";\n    StrRef sr;\n\n    sr = chars;\n\n ..."},"297":{y:0,u:"../Content/P4API/strref.operator_3.html",l:-1,t:"StrRef::operator +=( int )",i:0.000835808265818837,a:"Increase a StrRef’s pointer and decrease its length. Notes This method has the effect of removing len characters from\n      the beginning of the StrRef. It does not, however, free the\n      memory allocated to those characters. Example \n#include \u003ciostream\u003e\n\n#include \u003cstdhdrs.h\u003e\n#include ..."},"298":{y:0,u:"../Content/P4API/strref.set.html",l:-1,t:"StrRef::Set( char * )",i:0.00701368753991399,a:"Set a StrRef to reference an existing null-terminated\n      string. Notes StrRef::Set()  does not copy\n      the target string; it simply establishes a pointer to it. Be sure that\n      the StrRef pointing to the target string does not outlive\n      the target string. Example \n#include ..."},"299":{y:0,u:"../Content/P4API/strref.set_2.html",l:-1,t:"StrRef::Set( char * , int )",i:0.000835808265818837,a:"Set a StrRef to reference an existing null-terminated\n      string. Notes StrRef::Set()  does not copy\n      the target string; it simply establishes a pointer to it. Be sure that\n      the StrRef pointing to the target string does not outlive\n      the target string. Example \n#include ..."},"300":{y:0,u:"../Content/P4API/strref.set_3.html",l:-1,t:"StrRef::Set( const StrPtr * )",i:0.000835808265818837,a:"Set a StrRef to reference an existing\n      StrPtr. Notes StrRef::Set()  does not copy\n      the target string; it simply establishes a pointer to it. Be sure that\n      the StrRef pointing to the target string does not outlive\n      the target string. Example \n#include \u003ciostream\u003e\n\n#include ..."},"301":{y:0,u:"../Content/P4API/strref.set_4.html",l:-1,t:"StrRef::Set( const StrPtr \u0026 )",i:0.000835808265818837,a:"Set a StrRef to reference an existing\n      StrPtr. Notes StrRef::Set()  does not copy\n      the target string; it simply establishes a pointer to it. Be sure that\n      the StrRef pointing to the target string does not outlive\n      the target string. Example \n#include \u003ciostream\u003e\n\n#include ..."},"302":{y:0,u:"../Content/Shared/glossary.html",l:-1,t:"Glossary",i:0.000835808265818837,a:"Glossary"},"303":{y:0,u:"../Content/P4API/license.statements.html",l:-1,t:"License Statements",i:0.000835808265818837,a:"To get a listing of the third-party software licenses that Helix Core server uses, at the command line, type the p4 help legal command. To get a listing of the third-party software licenses that the local client (such as P4V) uses, at the command line, type the p4 help -l legal command."},});